#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdrm
Version		:	2.4.120
Release		:	17.0.10.rel%{?dist}
summary		:	Direct Rendering Manager runtime library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://dri.freedesktop.org/libdrm

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	libpciaccess
BuildRequires	:	python3-docutils
#-----------------------------------------------------------------------------
%description
Direct Rendering Manager runtime library

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja %{?_smp_mflags}

popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja 						\
	-C build					\
	install

%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/nouveau/*.h
%{_includedir}/%{name}/nouveau/nvif/*.h
#{_includedir}/libkms/libkms.h
%{_includedir}/*.h
%{_libdir}/%{name}*.so*
#{_libdir}/libkms.so*
%{_libdir}/pkgconfig/%{name}*.pc
#{_libdir}/pkgconfig/libkms.pc
%{_datadir}/%{name}/*.ids
%{_mandir}/man3/*.3.gz
%{_mandir}/man7/*.7.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
